@use '../spacing' as *;

iframe {
    display: block;
    margin: 0;
    border: none;
}

.markdown .embed {
    display: block;
    width: 100%;
    height: 300px;
    max-width: 700px;
}

.markdown .video-embed {
    position: relative;
    overflow: hidden;
    width: 100%;
    max-width: 700px;
}

.markdown .video-embed::after {
    display: block;
    content: "";
    padding-top: 56.25%;
}

.markdown .video-embed iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.embed-collection {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    margin: 2 * $DEFAULT-SPACING 0;
    justify-content: center;
    align-items: center;
    gap: 2 * $DEFAULT-SPACING;
}